<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Page Title</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="main.css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO"
    crossorigin="anonymous">
   
</head>
<body>
    <div class="container">
        <div class="row my-row">
            <div class="col my-col">
               
               <b> <p class="ref"></p></b>
                <p class="verse"></p>
            </div>
        </div>
    </div>

    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
    crossorigin="anonymous"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

  <script>
  function random(min, max) {
            return Math.floor(Math.random() * (max - min)) + min;
        }

        $.ajax({
            url: 'http://getbible.net/json',
            dataType: 'jsonp',
            data: 'v=kjv',
            jsonp: 'getbible',
            success: function (json) {
                var bookId = random(1, Object.keys(json.version).length);
                var book = json.version[bookId];
                var chapterId = random(1, Object.keys(book.book).length);
                var chapter = book.book[chapterId];
                var verseId = random(1, Object.keys(chapter.chapter).length);
                var verse = chapter.chapter[verseId];
                var verseText = verse.verse ;
               
                $('.ref').html( book.book_name + " " + chapterId + ":" + verseId );
                $('.verse').html(verseText);
            }
        })

  </script>
</body>
</html>